Set Job Retries By Job Definition Id
curl --request PUT \
--url http://{host}:{port}/{contextPath}/job-definition/{id}/retries \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"retries": 3,
"dueDate": "2017-04-06T13:57:45.000+0200"
}
'import requests
url = "http://{host}:{port}/{contextPath}/job-definition/{id}/retries"
payload = {
"retries": 3,
"dueDate": "2017-04-06T13:57:45.000+0200"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({retries: 3, dueDate: '2017-04-06T13:57:45.000+0200'})
};
fetch('http://{host}:{port}/{contextPath}/job-definition/{id}/retries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}Job定义
根据Id设置Job定义重试次数
Sets the number of retries of all failed jobs associated with the given job definition id.
PUT
/
job-definition
/
{id}
/
retries
Set Job Retries By Job Definition Id
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the job definition to be updated.
Body
application/json
The number of retries to set for the resource. Must be >= 0. If this is 0, an incident is created and the task, or job, cannot be fetched, or acquired anymore unless the retries are increased again. Can not be null.
Response
Request successful. This method returns no content.
⌘I